<?php 

if (class_exists('SiteUsers'))
{
	$SiteUsers = & singleton('SiteUsers');
	
	/* Получаем идентификатор текущего пользователя */
	$user_id = $SiteUsers->GetCurrentSiteUser();

	/* Переходим в кабинет пользователя, если user авторизирован */
	if ($user_id > 0)
	{
		/* XSL шаблон для отображения списка элементов информационной системы */
		$xsl_chamber = to_str($GLOBALS['LA']['xsl_chamber']);
		
		/* Формируем список меню*/
		$external_propertys[$i = 0]['xml_name'] = 'link';
		$external_propertys[$i]['value']=array(
		0 => array('xml_name' => 'link_address',
		'value' =>'info/'),
		1 => array('xml_name' => 'link_name',
		'value' =>'Код приглашения'),
		2 => array('xml_name' => 'link_url_image',
		'value' =>'/images/user_info.gif'));

		$external_propertys[++$i]['xml_name'] = 'link';
		$external_propertys[$i]['value']=array(
		0 => array('xml_name' => 'link_address',
		'value' =>'invites/'),
		1 => array('xml_name' => 'link_name',
		'value' =>'Структура приглашенных'),
		2 => array('xml_name' => 'link_url_image',
		'value' =>'/images/user_info.gif'));
		
		$external_propertys[++$i]['xml_name'] = 'link';
		$external_propertys[$i]['value']=array(
		0 => array('xml_name' => 'link_address',
		'value' =>'bonuses/'),
		1 => array('xml_name' => 'link_name',
		'value' =>'Бонусы'),
		2 => array('xml_name' => 'link_url_image',
		'value' =>'/images/user_info.gif'));

		/* Отображает кабинет пользователя */
		$SiteUsers->ShowUserOffice($xsl_chamber, $external_propertys);
	}
	else
	{
		?>
		<p>Пользователь не найден!</p>
		<?php
	}
}
else
{
	?>
	<h1>Пользователи сайта</h1>
	<p>Функционал недоступен, приобретите более старшую редакцию.</p>
	<p>Модуль &laquo;<a href="http://www.hostcms.ru/hostcms/modules/users/">Пользователи сайта</a>&raquo; доступен в редакциях &laquo;<a href="http://www.hostcms.ru/hostcms/editions/corporation/">Корпорация</a>&raquo; и &laquo;<a href="http://www.hostcms.ru/hostcms/editions/business/">Бизнес</a>&raquo;.</p> 
	<?php
}
?>